<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>activity-a.html</title>
	</head>
	<body>
		<h4> <p> <em> Science and Enhineering Ethics (2001) 7, 231-238 </em>  </p> </h4>
		
		<hr>

		<h1>Software Engineering Code of Ethics and Professional Practice</h1>
		<h2>IEEE-CS/ACM Joint Task Force on Softwarre Engineering Ethics and Professional Practices</h2>

		<hr>

		<p> <strong>Keywords:</strong> code of ethics, professional responsibility, software engineering</p>
		
		<h3> PREAMBLE </h3>

		The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as a software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can becone high-sounding but empty; together, the aspirations and the details form a cohesive code.
		<br>
		Software engineers shall commit themselves to making the analysis, specigfication, design, development, testing and maintenance of software abeneficial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, Software engineers shall adhere to the following eight Principles:

		<br>
		<h3>PRINCIPLES</h3>
		<ol>
			<li> <em> Public. </em>  Software engineers shall act consistently with the public interest.</li>
			<li> <em> Client and employer. </em>Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with the public interest.</li> 
			<li> <em> Product. </em> Software engineersshall ensure that their products and related modifications meet the highest professional stnadrads possible. </li>
			<li> <em> Judgement. </em> Softwarre Engineers shall maintain integrity and indipendence in their professinal judgment.</li>
			<li> <em> Management. </em> Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
			<li> <em> Profession. </em> Software engineers Shall advance the integrity and reputation of the profession consistent with the public interest.</li>
			<li> <em> Colleagues. </em> Software engineers shall be fair to and supportive of their colleagues</li>
			<li> <em> Self. </em> Software engineers shall practice in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>
			
		</ol>

</body>
</html>